Page MenuHomePhabricator

Move IDEAL forms to Mustache templates
Closed, ResolvedPublic4 Estimate Story Points

Description

Should be fairly straightforward except for the part where it needs to populate an yet-to-be-written "banks" drop-down with the result of an API call.

Event Timeline

awight added a subscriber: awight.Apr 6 2016, 7:27 AM

After peeking at this, I think it needs to be specced out more. A few details seem like potential rabbitholes, and would be good to work out ahead of time.

  • The iDEAL form shouldn't show sibling rtbt_* submethods, this begs the question of issuer as a sub-submethod, and gives us a good reason to generalize PaymentMethod and use it in an opaque manner.
  • Show iDEAL logo, or any method's logo when it is the only available method. Probably, layout is often determined per method.
  • ...
Ejegg closed this task as Resolved.Jul 18 2016, 9:05 PM
Ejegg moved this task from Pending Deployment to Done on the Fundraising Sprint Muggle Baiting board.
Ejegg added a subscriber: Ejegg.

redirect to bank is working for everything except ABN Amro, which shows this:

Probably an issue on their side.

mmodell removed a subscriber: awight.Jun 22 2017, 9:55 PM